devguard
RisksCriteria

Set the risk criteria, remapping stored ratings onto resized scales.

PUT
/risks/criteria/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/risks/criteria/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "criteria": {      "likelihood": [        {          "name": "string"        },        {          "name": "string"        },        {          "name": "string"        }      ],      "impact": [        {          "name": "string"        },        {          "name": "string"        },        {          "name": "string"        }      ],      "levels": [        {          "name": "string",          "tone": "success",          "acceptable": true        },        {          "name": "string",          "tone": "success",          "acceptable": true        }      ],      "matrix": [        [          0        ]      ]    }  }'
{  "criteria": {    "likelihood": [      {        "name": "string",        "description": ""      },      {        "name": "string",        "description": ""      },      {        "name": "string",        "description": ""      }    ],    "impact": [      {        "name": "string",        "description": "",        "opportunityName": "",        "opportunityDescription": "",        "criteria": []      },      {        "name": "string",        "description": "",        "opportunityName": "",        "opportunityDescription": "",        "criteria": []      },      {        "name": "string",        "description": "",        "opportunityName": "",        "opportunityDescription": "",        "criteria": []      }    ],    "impactCategories": [],    "levels": [      {        "name": "string",        "opportunityName": "",        "tone": "success",        "acceptable": true,        "response": ""      },      {        "name": "string",        "opportunityName": "",        "tone": "success",        "acceptable": true,        "response": ""      }    ],    "matrix": [      [        0      ]    ],    "reviewIntervalMonths": 12  },  "version": 0,  "remapped": true,  "voidedAcceptances": 0}

How is this guide?